#!/bin/sh
#
# Pulls sources for eclipse-mylyn-tasks SRPM
#  - org.eclipse.mylyn.trac-feature
#  - org.eclipse.mylyn.bugzilla-feature
#  - org.eclipse.mylyn.web.tasks-feature (incubation)
# 
RELEASE_TAG="R_3_6_0"

rm -rf org.eclipse.mylyn.tasks.tar.bz2
rm -rf org.eclipse.mylyn.incubator.tar.bz2
        
wget -O org.eclipse.mylyn.tasks.tar.bz2 http://git.eclipse.org/c/mylyn/org.eclipse.mylyn.tasks.git/snapshot/${RELEASE_TAG}.tar.bz2
wget -O org.eclipse.mylyn.incubator.tar.bz2 http://git.eclipse.org/c/mylyn/org.eclipse.mylyn.incubator.git/snapshot/${RELEASE_TAG}.tar.bz2        

for i in org.eclipse.mylyn.tasks.tar.bz2 \
         org.eclipse.mylyn.incubator.tar.bz2; do
  tar -xjf $i
done

# remove sources we don't need
pushd $RELEASE_TAG > /dev/null
ls -1 | grep -vE 'org.eclipse.mylyn.trac.*|org.eclipse.mylyn.bugzilla.*|org.eclipse.mylyn.web.*|org.eclipse.mylyn.tasks.*' | xargs rm -rf
popd > /dev/null

FETCHED_SOURCES_NAME="eclipse-mylyn-tasks-${RELEASE_TAG}-fetched-src"
mv $RELEASE_TAG $FETCHED_SOURCES_NAME
rm -rf $FETCHED_SOURCES_NAME.tar.bz2
tar -cjf $FETCHED_SOURCES_NAME.tar.bz2 $FETCHED_SOURCES_NAME

rm -rf $FETCHED_SOURCES_NAME
rm -rf org.eclipse.mylyn.tasks.tar.bz2
rm -rf org.eclipse.mylyn.incubator.tar.bz2
        
